Browse Source

Turn off legacy resolver workaround in pip

The legacy resolver was enabled when the new pip was released.
The requirements have been cleaned up, and sysinv has been
updated.

pkgconfig is required to be able to install libvirt from pip.

A bindep file has been added to ensure the components required
to build libvirt-python are available on the zuul host.

The upper constraints have been removed from tox/zuul since
the headers for components installed by bindep are newer than
what will work when compiling the older libvirt

Depends-On: https://review.opendev.org/c/starlingx/config/+/766645
Partial-Bug: #1907678
Signed-off-by: albailey <Al.Bailey@windriver.com>
Change-Id: I5905f6cd0bb9bbe379835008ccf3f70102cfc17f
changes/70/766870/4
albailey 4 months ago
parent
commit
dbd5dbd8e0
4 changed files with 28 additions and 20 deletions
  1. +4
    -0
      bindep.txt
  2. +14
    -1
      requirements.txt
  3. +5
    -2
      test-requirements.txt
  4. +5
    -17
      tox.ini

+ 4
- 0
bindep.txt View File

@ -0,0 +1,4 @@
libvirt-dev [platform:dpkg]
libvirt-devel [platform:redhat]
pkg-config [platform:dpkg]
pkgconfig [platform:redhat]

+ 14
- 1
requirements.txt View File

@ -1 +1,14 @@
# Nothing
eventlet
keyring
keystoneauth1
pkgconfig
libvirt-python
oslo.concurrency
oslo.config
oslo.i18n
oslo.log
oslo.messaging
oslo.service
python-daemon
python-novaclient
retrying

+ 5
- 2
test-requirements.txt View File

@ -1,4 +1,7 @@
# hacking pulls in flake8
hacking
hacking>=1.1.0,<=2.0.0 # Apache-2.0
bashate >= 0.2
pylint<2.5.0
isort<5;python_version>="3.0"
pylint<2.1.0;python_version<"3.0" # GPLv2
pylint<2.3.0;python_version>="3.0" # GPLv2

+ 5
- 17
tox.ini View File

@ -1,16 +1,14 @@
[tox]
envlist = linters
envlist = linters,pylint
minversion = 2.3
skipsdist = True
sitepackages=False
stxdir = {toxinidir}/..
[testenv]
install_command = pip install --use-deprecated legacy-resolver\
-v -v -v \
-c{env:UPPER_CONSTRAINTS_FILE:https://opendev.org/openstack/requirements/raw/branch/stable/stein/upper-constraints.txt} \
-U {opts} {packages}
sitepackages = False
basepython = python3
install_command = pip install -v -v -v -U {opts} {packages}
setenv =
VIRTUAL_ENV={envdir}
OS_STDOUT_CAPTURE=1
@ -81,21 +79,11 @@ commands =
flake8
[testenv:pylint]
basepython = python3
sitepackages = False
deps =
{[testenv]deps}
-e{[tox]stxdir}/config/tsconfig/tsconfig
-e{[tox]stxdir}/config/sysinv/sysinv/sysinv
-e{[tox]stxdir}/config/tsconfig/tsconfig
-e{[tox]stxdir}/fault/fm-api
keyring
keystoneauth1
libvirt-python
oslo.messaging
oslo.service
pyinotify
python-daemon
python-novaclient
commands = pylint {posargs} \
ceph/ceph-manager/ceph-manager/ceph_manager \


Loading…
Cancel
Save